> ## Documentation Index
> Fetch the complete documentation index at: https://docs.auxpay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Transaction Details

> Retrieve the details of a specific transaction.



## OpenAPI

````yaml openapi.json get /transaction/{id}
openapi: 3.0.0
info:
  title: AuxVault API
  description: >-
    The AuxVault API is a RESTful API that allows you to process financial
    transactions, manage customers, and access transaction data securely.
  version: v1
servers:
  - url: https://dev-api.auxvault.net/api/v1/public
    description: Sandbox Environment
  - url: https://api.auxvault.net/api/v1/public
    description: Production Environment
security:
  - apiKey: []
paths:
  /transaction/{id}:
    get:
      summary: Transaction Details
      description: Retrieve the details of a specific transaction.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              example:
                status_code: 200
                message: Transaction Details found successfully
                data:
                  TransactionId: d0snjfv0i479rlkc66v0
                  BaseAmount: 10
                  Amount: 10
                  CardNumber: '1111'
                  BillingEmail: federico@gmail.com
                  BillingCustomerName: Federico
                  BillingAddress: ''
                  BillingCity: ''
                  BillingState: null
                  BillingPostalCode: ''
                  BillingCountry: 1
                  BillingCountryCode: '+1'
                  BillingPhoneNumber: '876543200'
                  TransactionType: 1
                  Status: '1'
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status: failed
                status_code: 401
                msg: 'Unauthorized: Invalid API Key'
        '404':
          description: Not Found
          content:
            application/json:
              example:
                status: failed
                status_code: 404
                msg: Transaction not found
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization

````